Name:           perl-Lucy
Version:        0.5.1
Release:        1%{?dist}
Summary:        Search engine library
# other files:                              ASL 2.0
# modules/unicode/utf8proc/utf8proc.c:      MIT
# modules/unicode/utf8proc/utf8proc_data.h: MIT (Unicode variant)
## Not distributed in binary package
# devel/bin/gen_word_break_data.pl:         MIT (Unicode variant)
# sample/us_constitution:                   Public domain
License:        ASL 2.0 and MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Lucy/
# There is charmonizer.c which is becoming a separate project
# <git://git.apache.org/lucy-charmonizer.git>. However, lucy-charmonizer has
# not yet been released <http://lucy.apache.org/download.html>.
# Provided charmonizer.c is used only at build time and upstream code is not
# ready for external lucy-charmonizer (upstream treats it like a build-time
# only copy library) I'm not going to unbudle the charmonizer.c now.
Source0:        http://search.cpan.org/CPAN/authors/id/N/NW/NWELLNHOF/Lucy-%{version}.tar.gz
# Use system lemon instead of bundled one. See
# <https://issues.apache.org/jira/browse/CLOWNFISH-60> for the same
# perl-Clownfish-CFC issue and upstream reaction.
Patch0:         Lucy-0.4.2-Use-system-lemon-if-possible.patch
BuildRequires:  coreutils
BuildRequires:  findutils
# gcc for standard library headers
BuildRequires:  gcc
BuildRequires:  lemon
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Clownfish::CFC::Perl::Build) >= 0.005000
BuildRequires:  perl(Clownfish::CFC::Perl::Build::Charmonic)
BuildRequires:  perl(Config)
# CPAN::Meta not used
BuildRequires:  perl(Cwd)
# Data::Dumper not used
BuildRequires:  perl(Devel::PPPort) >= 3.14
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.21
BuildRequires:  perl(ExtUtils::ParseXS) >= 2.18
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(lib)
# Module::Build not used
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time
BuildRequires:  perl(bytes)
BuildRequires:  perl(Clownfish) >= 0.005000
BuildRequires:  perl(Clownfish::Util::StringHelper)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
# Tests
BuildRequires:  perl(CGI)
BuildRequires:  perl(Clownfish::Err)
BuildRequires:  perl(Clownfish::Hash)
BuildRequires:  perl(Clownfish::Obj)
BuildRequires:  perl(Clownfish::Test)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

# Remove unversioned provides
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(Lucy::Object::Obj\\)$

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Clownfish\\)$

%description
Lucy is a loose port of the Java search engine library Apache Lucene,
written in Perl and C. The archetypal application is website search, but it
can be put to many different uses.

%prep
%setup -q -n Lucy-%{version}
%patch0 -p1
# Unbundle lemon
rm -rf lemon
sed -i -e '/^lemon\//d' MANIFEST
# Correct shellbangs
for F in sample/indexer.pl sample/search.cgi; do
    sed -i -e \
    's|^#!/usr/local/bin/perl|%(perl -MConfig -e 'print $Config{startperl}')|' \
    "$F"
 done

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# Remove empty files
rm -f $RPM_BUILD_ROOT/%{perl_vendorarch}/auto/Lucy/Lucy.bs
# %%{perl_vendorarch}/Clownfish files are needed for building third-party
# extension against perl-Lucy. They could be moved into a subpackage.
# <https://issues.apache.org/jira/browse/LUCY-283>
%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%license LICENSE
%doc CHANGES CONTRIBUTING README sample
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 21 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.5.1-1
- 0.5.1 bump

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.5.0-2
- Perl 5.24 rebuild

* Thu Apr 07 2016 Petr Pisar <ppisar@redhat.com> - 0.5.0-1
- 0.5.0 bump (license changed to "ASL 2.0 and MIT")

* Thu Mar 24 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.4.4-1
- 0.4.4 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Sep 17 2015 Petr Pisar <ppisar@redhat.com> - 0.4.2-1
- 0.4.2 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.3.3-5
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.3.3-4
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 17 2014 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.3.3-1
- Lucy package based on KinoSearch package

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.31.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.31.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 1:0.31.5-2
- Perl 5.16 rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 1:0.31.5-1
- 0.315 bump

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 1:0.31-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1:0.31-3
- Perl mass rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:0.31-2
- 661697 rebuild for fixing problems with vendorach/lib
- add BR

* Sun Dec 12 2010 Lubomir Rintel <lkundrak@v3.sk> - 1:0.31-1
- BR Time::HiRes to fix el6 build
- Rebase to later version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.165-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.165-1
- Upstream applied our PowerPC patch

* Sun Mar 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.164-1
- Update to 0.164
- Add missing Pod::Coverage BRs (Robert Scheck)
- Fix a PowerPC signedness issue
- Clarify licensing, re-add ApacheLicense2.0.txt

* Sat Feb 14 2009 Ian Burrell <ianburrell@gmail.com> - 0.163-2
- remove empty KinoSearch.bs
- remove ApacheLicense2.0.txt

* Thu Feb 05 2009 Ian Burrell <ianburrell@gmail.com> 0.163-1
- Change to perl_vendorarch
- Remove devel, src from doc
- Specfile autogenerated by cpanspec 1.77.
